#include <mpi.h>
#include <stdio.h>

int main(int argc, char ** argv)
{
    int myrank, size;
    int numsend;
    int next_rank, prev_rank;
    MPI_Status  status;

    MPI_Init(&argc, &argv);

    MPI_Comm_rank(MPI_COMM_WORLD, &myrank);
    MPI_Comm_size(MPI_COMM_WORLD, &size);

    if(myrank==0){numsend=33;}else numsend=66;

    MPI_Bcast(&numsend,1,MPI_INT,
              0,MPI_COMM_WORLD);

    //if(myrank==1){
    printf(" I am rank %d of %d Received value numsend= %d\n", myrank, size, numsend);

    MPI_Finalize();
    return 0;
}
